UbuntuUpdates.org

Package "erlang"

Name: erlang

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Erlang/OTP modules for ASN.1 support
  • Erlang/OTP virtual machine and base applications
  • Erlang/OTP applications for CORBA support
  • Erlang/OTP cryptographic modules

Latest version: 1:16.b.3-dfsg-1ubuntu2.2
Release: trusty (14.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "erlang": https://www.ubuntuupdates.org/erlang



Other versions of "erlang" in Trusty

Repository Area Version
base main 1:16.b.3-dfsg-1ubuntu2
base universe 1:16.b.3-dfsg-1ubuntu2
security main 1:16.b.3-dfsg-1ubuntu2.2
security universe 1:16.b.3-dfsg-1ubuntu2.2
updates universe 1:16.b.3-dfsg-1ubuntu2.2

Packages in group

Deleted packages are displayed in grey.

erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-dbg
erlang-dev erlang-diameter erlang-doc erlang-edoc erlang-eldap
erlang-erl-docgen erlang-eunit erlang-examples erlang-gs erlang-ic
erlang-inets erlang-megaco erlang-mnesia erlang-nox erlang-odbc
erlang-os-mon erlang-parsetools erlang-percept erlang-public-key erlang-runtime-tools
erlang-snmp erlang-src erlang-ssh erlang-ssl erlang-syntax-tools
erlang-tools erlang-webtool erlang-xmerl

Changelog

Version: 1:16.b.3-dfsg-1ubuntu2.2 2018-02-14 19:08:23 UTC

  erlang (1:16.b.3-dfsg-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: CRLF injection vulnerabilities in the FTP module
    - debian/patches/CVE-2014-1693.patch: check values in
      lib/inets/src/ftp/ftp.erl, /lib/inets/test/ftp_suite_lib.erl.
    - CVE-2014-1693
  * SECURITY UPDATE: padding-oracle attack
    - debian/patches/CVE-2015-2774.patch: re-enable padding check and
      provide option to disable in lib/ssl/doc/src/ssl.xml,
      lib/ssl/src/dtls_record.erl, lib/ssl/src/ssl.erl,
      lib/ssl/src/ssl_cipher.erl, lib/ssl/src/ssl_internal.hrl,
      lib/ssl/src/ssl_record.erl, lib/ssl/src/tls_connection.erl,
      lib/ssl/src/tls_record.erl, lib/ssl/test/ssl_cipher_SUITE.erl.
    - CVE-2015-2774
  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/ssl_connection.erl,
      lib/ssl/src/ssl_connection.hrl, lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <email address hidden> Thu, 07 Dec 2017 08:47:37 -0500

Source diff to previous version
CVE-2014-1693 Multiple CRLF injection vulnerabilities in the FTP module in Erlang/OTP R15B03 allow context-dependent attackers to inject arbitrary FTP commands via
CVE-2015-2774 Erlang/OTP before 18.0-rc1 does not properly check CBC padding bytes when terminating connections, which makes it easier for man-in-the-middle attack

Version: 1:16.b.3-dfsg-1ubuntu2.1 2014-08-26 22:06:33 UTC

  erlang (1:16.b.3-dfsg-1ubuntu2.1) trusty; urgency=medium

  * Enable IPv6 support in epmd (LP: #1312507), supporting use in IPv6
    only environments:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process.
 -- James Page <email address hidden> Tue, 12 Aug 2014 17:29:24 +0100

1312507 rabbitmq-server fails to start on a IPv6-Only environment/epmd is not IPv6 enabled



About   -   Send Feedback to @ubuntu_updates